> ## Documentation Index
> Fetch the complete documentation index at: https://docs.draftt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search and filter policy components

> Deprecated as of: 2026-06-04. Scheduled for removal: 2026-09-04. Replacement: POST /policy/{policyId}/component/query. Please migrate to the DrafttQL query endpoint for advanced filtering, field selection, and cursor-based pagination.



## OpenAPI

````yaml https://api.draftt.io/swagger post /policy/{policyId}/component/search
openapi: 3.1.0
info:
  title: Draftt API
  version: 0.2.1
servers:
  - url: https://api.draftt.io/v1
security:
  - BearerAuth: []
paths:
  /policy/{policyId}/component/search:
    post:
      tags:
        - Policy Component
      summary: Search and filter policy components
      description: >-
        Deprecated as of: 2026-06-04. Scheduled for removal: 2026-09-04.
        Replacement: POST /policy/{policyId}/component/query. Please migrate to
        the DrafttQL query endpoint for advanced filtering, field selection, and
        cursor-based pagination.
      parameters:
        - name: policyId
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    componentId:
                      type: string
                    integrationId:
                      type: number
                    name:
                      type: string
                    uniqueIdentifier:
                      type: string
                    technology:
                      type: string
                      enum:
                        - AMAZON_ISSUED
                        - Azure Application Gateway Certificate
                        - Azure Key Vault Certificate
                        - IMPORTED
                        - Microsoft.Web/sites
                        - PRIVATE
                        - acr
                        - acr-container-image
                        - acr-container-registry
                        - acr-container-repository
                        - acr-image-cucumber
                        - acr-image-dotnet
                        - acr-image-dotnet-framework
                        - acr-image-golang
                        - acr-image-java
                        - acr-image-nodejs
                        - acr-image-php
                        - acr-image-playwright
                        - acr-image-python
                        - aks
                        - alloydb-postgres
                        - amazon-machine-image
                        - ami
                        - ami-almalinux
                        - ami-amazon-linux
                        - ami-arch-linux
                        - ami-azure-linux
                        - ami-centos
                        - ami-cisco-ios-xe
                        - ami-debian
                        - ami-fedora
                        - ami-flatcar
                        - ami-forti-auth
                        - ami-freebsd
                        - ami-kali-linux
                        - ami-opensuse
                        - ami-oracle-linux
                        - ami-rhel
                        - ami-rocky-linux
                        - ami-sles
                        - ami-ubuntu
                        - ami-windows-desktop-enterprise-ga
                        - ami-windows-desktop-enterprise-ltsc
                        - ami-windows-desktop-pro
                        - ami-windows-server
                        - apache-flink
                        - apache-flink-studio
                        - app-engine-flexible-aspnetcore
                        - app-engine-flexible-go
                        - app-engine-flexible-java
                        - app-engine-flexible-nodejs
                        - app-engine-flexible-php
                        - app-engine-flexible-python
                        - app-engine-flexible-ruby
                        - app-engine-standard-go
                        - app-engine-standard-java
                        - app-engine-standard-nodejs
                        - app-engine-standard-php
                        - app-engine-standard-python
                        - app-engine-standard-ruby
                        - application
                        - arista-switch
                        - arista-wireless-ap
                        - artifactory
                        - artifactory-container-image
                        - artifactory-container-registry
                        - artifactory-container-repository
                        - artifactory-image-cucumber
                        - artifactory-image-dotnet
                        - artifactory-image-dotnet-framework
                        - artifactory-image-golang
                        - artifactory-image-java
                        - artifactory-image-nodejs
                        - artifactory-image-php
                        - artifactory-image-playwright
                        - artifactory-image-python
                        - aws-acm-pca
                        - aws-api-gateway-rest-api
                        - aws-auto-scaling-group
                        - aws-bedrock-model-ai21-jamba-large
                        - aws-bedrock-model-ai21-jamba-mini
                        - aws-bedrock-model-amazon-canvas
                        - aws-bedrock-model-amazon-nova-2-multimodal-embeddings
                        - aws-bedrock-model-amazon-nova-2-sonic
                        - aws-bedrock-model-amazon-nova-lite
                        - aws-bedrock-model-amazon-nova-micro
                        - aws-bedrock-model-amazon-nova-premier
                        - aws-bedrock-model-amazon-nova-pro
                        - aws-bedrock-model-amazon-nova-reel
                        - aws-bedrock-model-amazon-titan-embed-g1-text-02
                        - aws-bedrock-model-amazon-titan-embed-image
                        - aws-bedrock-model-amazon-titan-embed-text
                        - aws-bedrock-model-amazon-titan-image-generator-v1
                        - aws-bedrock-model-amazon-titan-image-generator-v2
                        - aws-bedrock-model-amazon-titan-text-express
                        - aws-bedrock-model-amazon-titan-text-lite
                        - aws-bedrock-model-amazon-titan-tg1-large
                        - aws-bedrock-model-anthropic-claude
                        - aws-bedrock-model-anthropic-claude-fable
                        - aws-bedrock-model-anthropic-claude-haiku
                        - aws-bedrock-model-anthropic-claude-opus
                        - aws-bedrock-model-anthropic-claude-sonnet
                        - aws-bedrock-model-cohere-command-r
                        - aws-bedrock-model-cohere-command-r-plus
                        - aws-bedrock-model-cohere-embed-english
                        - aws-bedrock-model-cohere-embed-multilingual
                        - aws-bedrock-model-cohere-rerank-v3-5
                        - aws-bedrock-model-deepseek-r1
                        - aws-bedrock-model-deepseek-v3
                        - aws-bedrock-model-google-gemma-3-12b-it
                        - aws-bedrock-model-meta-llama3-11b-instruct
                        - aws-bedrock-model-meta-llama3-1b-instruct
                        - aws-bedrock-model-meta-llama3-3b-instruct
                        - aws-bedrock-model-meta-llama3-70b-instruct
                        - aws-bedrock-model-meta-llama3-8b-instruct
                        - aws-bedrock-model-meta-llama3-90b-instruct
                        - aws-bedrock-model-meta-llama4-maverick-17b-instruct
                        - aws-bedrock-model-meta-llama4-scout-17b-instruct
                        - aws-bedrock-model-mistral-mistral-7b-instruct
                        - aws-bedrock-model-mistral-mistral-large-2402
                        - aws-bedrock-model-mistral-mistral-small-2402
                        - aws-bedrock-model-mistral-mixtral-8x7b-instruct
                        - aws-bedrock-model-mistral-pixtral-large-2502
                        - aws-bedrock-model-openai-gpt-5-5
                        - aws-bedrock-model-openai-gpt-5-6-sol
                        - aws-bedrock-model-openai-gpt-5-6-terra
                        - aws-bedrock-model-openai-gpt-oss-120b
                        - aws-bedrock-model-openai-gpt-oss-20b
                        - aws-bedrock-model-qwen-qwen3-32b
                        - aws-bedrock-model-qwen-qwen3-coder-30b-a3b
                        - >-
                          aws-bedrock-model-stability-stable-conservative-upscale
                        - aws-bedrock-model-stability-stable-creative-upscale
                        - aws-bedrock-model-stability-stable-fast-upscale
                        - >-
                          aws-bedrock-model-stability-stable-image-control-sketch
                        - >-
                          aws-bedrock-model-stability-stable-image-control-structure
                        - aws-bedrock-model-stability-stable-image-erase-object
                        - aws-bedrock-model-stability-stable-image-inpaint
                        - >-
                          aws-bedrock-model-stability-stable-image-remove-background
                        - >-
                          aws-bedrock-model-stability-stable-image-search-recolor
                        - >-
                          aws-bedrock-model-stability-stable-image-search-replace
                        - aws-bedrock-model-stability-stable-image-style-guide
                        - aws-bedrock-model-stability-stable-outpaint
                        - aws-bedrock-model-stability-stable-style-transfer
                        - aws-bedrock-model-twelvelabs-marengo-embed-2-7
                        - aws-bedrock-model-twelvelabs-marengo-embed-3-0
                        - aws-bedrock-model-twelvelabs-pegasus-1-2
                        - aws-clb
                        - aws-cloudfront-distribution
                        - aws-dynamodb-backup
                        - aws-eb-docker
                        - aws-eb-docker-ecs
                        - aws-eb-dotnet-linux
                        - aws-eb-dotnet-windows
                        - aws-eb-dotnet-windows-core
                        - aws-eb-go
                        - aws-eb-java-se
                        - aws-eb-nodejs
                        - aws-eb-php
                        - aws-eb-python
                        - aws-eb-ruby
                        - aws-eb-tomcat
                        - aws-ebs-snapshot
                        - aws-ebs-volume
                        - aws-efs-file-system
                        - aws-elastic-ip-address-eip
                        - aws-iam-group
                        - aws-iam-role
                        - aws-kms-key
                        - aws-lambda-container
                        - aws-lambda-custom-runtime
                        - aws-lambda-dotnet
                        - aws-lambda-dotnetcore
                        - aws-lambda-go
                        - aws-lambda-image
                        - aws-lambda-java
                        - aws-lambda-nodejs
                        - aws-lambda-provided
                        - aws-lambda-providedal
                        - aws-lambda-python
                        - aws-lambda-ruby
                        - aws-launch-template
                        - aws-nat-gateway
                        - aws-organizations-account
                        - aws-organizations-organization
                        - aws-organizations-organizational-unit-ou
                        - aws-redshift-cluster
                        - aws-redshift-node
                        - aws-route-53-hosted-zone
                        - aws-s3-bucket
                        - aws-secrets-manager-secret
                        - aws-security-group
                        - aws-service-catalog-portfolio
                        - aws-service-catalog-product
                        - aws-service-catalog-version
                        - aws-sqs-queue
                        - aws-subnet
                        - aws-vpc
                        - aws-vpc-endpoint-gateway
                        - aws-vpc-endpoint-interface
                        - azure-ai-foundry-ai21labs-jamba-instruct
                        - azure-ai-foundry-ai21labs-jamba-large
                        - azure-ai-foundry-ai21labs-jamba-mini
                        - azure-ai-foundry-alibaba-qwen-32b
                        - azure-ai-foundry-anthropic-claude-haiku
                        - azure-ai-foundry-anthropic-claude-opus
                        - azure-ai-foundry-anthropic-claude-sonnet
                        - azure-ai-foundry-blackforestlabs-flux-pro
                        - azure-ai-foundry-bria-fast
                        - azure-ai-foundry-cohere-command
                        - azure-ai-foundry-cohere-command-fast
                        - azure-ai-foundry-cohere-command-plus
                        - azure-ai-foundry-cohere-command-pro
                        - azure-ai-foundry-cohere-embed
                        - azure-ai-foundry-cohere-embed-multimodal
                        - azure-ai-foundry-core42-jais-30b-chat
                        - azure-ai-foundry-deepseek
                        - azure-ai-foundry-deepseek-reasoning
                        - azure-ai-foundry-finetune-microsoft-phi
                        - azure-ai-foundry-finetune-mistral-large
                        - azure-ai-foundry-finetune-mistral-ministral-mini
                        - azure-ai-foundry-finetune-openai-gpt
                        - azure-ai-foundry-finetune-openai-gpt-mini
                        - azure-ai-foundry-finetune-openai-gpt-nano
                        - azure-ai-foundry-finetune-openai-gpt-omni
                        - azure-ai-foundry-finetune-openai-gpt-omni-mini
                        - azure-ai-foundry-finetune-openai-o-series-mini
                        - azure-ai-foundry-gretel
                        - azure-ai-foundry-meta-llama-11b-vision-instruct
                        - azure-ai-foundry-meta-llama-405b-instruct
                        - azure-ai-foundry-meta-llama-70b-instruct
                        - azure-ai-foundry-meta-llama-8b-instruct
                        - azure-ai-foundry-meta-llama-90b-vision-instruct
                        - azure-ai-foundry-meta-llama-maverick-17b-instruct
                        - azure-ai-foundry-meta-llama-scout-17b-instruct
                        - azure-ai-foundry-microsoft-phi
                        - azure-ai-foundry-microsoft-phi-medium-instruct
                        - azure-ai-foundry-microsoft-phi-mini-instruct
                        - azure-ai-foundry-microsoft-phi-mini-reasoning
                        - azure-ai-foundry-microsoft-phi-moe-instruct
                        - azure-ai-foundry-microsoft-phi-multimodal-instruct
                        - azure-ai-foundry-microsoft-phi-reasoning
                        - azure-ai-foundry-microsoft-phi-small-instruct
                        - azure-ai-foundry-microsoft-phi-vision-instruct
                        - azure-ai-foundry-mistral
                        - azure-ai-foundry-mistral-codestral-code
                        - azure-ai-foundry-mistral-document
                        - azure-ai-foundry-mistral-large
                        - azure-ai-foundry-mistral-medium
                        - azure-ai-foundry-mistral-ministral-mini
                        - azure-ai-foundry-mistral-small
                        - azure-ai-foundry-moonshotai-kimi
                        - azure-ai-foundry-openai-codex-mini
                        - azure-ai-foundry-openai-computer-use
                        - azure-ai-foundry-openai-dall
                        - azure-ai-foundry-openai-gpt
                        - azure-ai-foundry-openai-gpt-120b
                        - azure-ai-foundry-openai-gpt-audio
                        - azure-ai-foundry-openai-gpt-chat
                        - azure-ai-foundry-openai-gpt-code
                        - azure-ai-foundry-openai-gpt-mini
                        - azure-ai-foundry-openai-gpt-mini-audio
                        - azure-ai-foundry-openai-gpt-mini-code
                        - azure-ai-foundry-openai-gpt-mini-realtime
                        - azure-ai-foundry-openai-gpt-nano
                        - azure-ai-foundry-openai-gpt-omni
                        - azure-ai-foundry-openai-gpt-omni-audio
                        - azure-ai-foundry-openai-gpt-omni-mini
                        - azure-ai-foundry-openai-gpt-omni-mini-realtime
                        - azure-ai-foundry-openai-gpt-omni-mini-transcribe-audio
                        - azure-ai-foundry-openai-gpt-omni-realtime
                        - azure-ai-foundry-openai-gpt-omni-transcribe-audio
                        - >-
                          azure-ai-foundry-openai-gpt-omni-transcribe-diarize-audio
                        - azure-ai-foundry-openai-gpt-pro
                        - azure-ai-foundry-openai-gpt-realtime
                        - azure-ai-foundry-openai-gpt-turbo
                        - azure-ai-foundry-openai-gpt-turbo-instruct
                        - azure-ai-foundry-openai-gpt-vision
                        - azure-ai-foundry-openai-legacy
                        - azure-ai-foundry-openai-o-series
                        - azure-ai-foundry-openai-o-series-mini
                        - azure-ai-foundry-openai-o-series-pro
                        - azure-ai-foundry-openai-router
                        - azure-ai-foundry-openai-sora
                        - azure-ai-foundry-openai-text-embedding
                        - azure-ai-foundry-openai-text-embedding-large
                        - azure-ai-foundry-openai-text-embedding-small
                        - azure-ai-foundry-openai-tts-audio
                        - azure-ai-foundry-openai-whisper
                        - azure-ai-foundry-xai-grok
                        - azure-ai-foundry-xai-grok-fast
                        - azure-ai-foundry-xai-grok-fast-code
                        - azure-ai-foundry-xai-grok-fast-reasoning
                        - azure-ai-foundry-xai-grok-mini
                        - azure-ai-model
                        - azure-app-service-web-app-dotnet
                        - azure-app-service-web-app-java
                        - azure-app-service-web-app-node
                        - azure-app-service-web-app-php
                        - azure-app-service-web-app-python
                        - azure-application-gateway-basic
                        - azure-application-gateway-standard
                        - azure-application-gateway-waf
                        - azure-arc-data-postgres
                        - azure-arc-data-sql-mi
                        - azure-arc-kubernetes
                        - azure-arc-scvmm-vm
                        - azure-arc-vm
                        - azure-arc-vmware-vm
                        - azure-cosmos-db-cassandra
                        - azure-cosmos-db-for-postgresql-cluster
                        - azure-cosmos-db-gremlin
                        - azure-cosmos-db-mongo-db
                        - azure-cosmos-db-nosql
                        - azure-cosmos-db-table
                        - azure-data-lake-storage-gen2
                        - azure-databricks-workspace
                        - azure-db-mysql-flexible
                        - azure-db-postgres-flexible
                        - azure-db-sql-managed-database
                        - azure-db-sql-managed-instance
                        - azure-db-sql-server-on-vm
                        - azure-dns-zone-private
                        - azure-dns-zone-public
                        - azure-firewall
                        - azure-front-door-classic
                        - azure-front-door-premium
                        - azure-front-door-standard
                        - azure-function-app-docker
                        - azure-function-app-dotnet
                        - azure-function-app-java
                        - azure-function-app-node
                        - azure-function-app-nodejs
                        - azure-function-app-php
                        - azure-function-app-powershell
                        - azure-function-app-python
                        - azure-key-vault
                        - azure-load-balancer-basic
                        - azure-load-balancer-gateway
                        - azure-load-balancer-standard
                        - azure-log-analytics-workspace
                        - azure-managed-disk
                        - azure-management-group
                        - azure-monitor-action-group
                        - azure-mysql-flexible
                        - azure-nat-gateway
                        - azure-network-security-group
                        - azure-postgresql-flexible
                        - azure-private-endpoint
                        - azure-public-ip-address
                        - azure-resource-group
                        - azure-route-table
                        - azure-sql-server-on-vm
                        - azure-storage-account
                        - azure-storage-account-blob
                        - azure-storage-account-blob-container
                        - azure-storage-account-block-blob
                        - azure-storage-account-file
                        - azure-subscription
                        - azure-user-assigned-managed-identity
                        - azure-virtual-network
                        - azure-virtual-network-subnet
                        - azure-vm-almalinux
                        - azure-vm-arch-linux
                        - azure-vm-azure-linux
                        - azure-vm-centos
                        - azure-vm-cisco-ios-xe
                        - azure-vm-debian
                        - azure-vm-fedora
                        - azure-vm-flatcar
                        - azure-vm-forti-auth
                        - azure-vm-freebsd
                        - azure-vm-kali-linux
                        - azure-vm-opensuse
                        - azure-vm-oracle-linux
                        - azure-vm-rhel
                        - azure-vm-rocky-linux
                        - azure-vm-scale-set-linux
                        - azure-vm-scale-set-windows
                        - azure-vm-sles
                        - azure-vm-ubuntu
                        - azure-vm-windows-desktop-enterprise-ga
                        - azure-vm-windows-desktop-enterprise-ltsc
                        - azure-vm-windows-desktop-pro
                        - azure-vm-windows-server
                        - azure-waf-policy
                        - azureDevopsCodeRepository
                        - bigquery
                        - cisco-switch
                        - cisco-wireless-ap
                        - cloud-run-custom-container
                        - cloud-run-custom-repo
                        - cloud-run-function-dotnet
                        - cloud-run-function-go
                        - cloud-run-function-java
                        - cloud-run-function-nodejs
                        - cloud-run-function-php
                        - cloud-run-function-python
                        - cloud-run-function-ruby
                        - cloud-run-functions-dotnet
                        - cloud-run-functions-go
                        - cloud-run-functions-java
                        - cloud-run-functions-nodejs
                        - cloud-run-functions-php
                        - cloud-run-functions-python
                        - cloud-run-functions-ruby
                        - cloudsql-mysql
                        - cloudsql-postgres
                        - cloudsql-sqlserver-enterprise
                        - cloudsql-sqlserver-express
                        - cloudsql-sqlserver-standard
                        - cloudsql-sqlserver-web
                        - datastore
                        - dms
                        - documentdb
                        - dynamodb
                        - ec2-almalinux
                        - ec2-amazon-linux
                        - ec2-arch-linux
                        - ec2-azure-linux
                        - ec2-centos
                        - ec2-cisco-ios-xe
                        - ec2-debian
                        - ec2-fedora
                        - ec2-flatcar
                        - ec2-forti-auth
                        - ec2-freebsd
                        - ec2-kali-linux
                        - ec2-opensuse
                        - ec2-oracle-linux
                        - ec2-rhel
                        - ec2-rocky-linux
                        - ec2-sles
                        - ec2-ubuntu
                        - ec2-windows-desktop-enterprise-ga
                        - ec2-windows-desktop-enterprise-ltsc
                        - ec2-windows-desktop-pro
                        - ec2-windows-server
                        - ecr
                        - ecr-container-image
                        - ecr-container-registry
                        - ecr-container-repository
                        - ecr-image-cucumber
                        - ecr-image-dotnet
                        - ecr-image-dotnet-framework
                        - ecr-image-golang
                        - ecr-image-java
                        - ecr-image-nodejs
                        - ecr-image-php
                        - ecr-image-playwright
                        - ecr-image-python
                        - ecs-cluster
                        - ecs-service
                        - eks
                        - elasticache-memcached
                        - elasticache-redis
                        - elasticache-valkey
                        - elasticsearch
                        - emr
                        - firestore
                        - fortinet-firewall
                        - gar
                        - gar-container-image
                        - gar-container-registry
                        - gar-container-repository
                        - gar-image-cucumber
                        - gar-image-dotnet
                        - gar-image-dotnet-framework
                        - gar-image-golang
                        - gar-image-java
                        - gar-image-nodejs
                        - gar-image-php
                        - gar-image-playwright
                        - gar-image-python
                        - gateway
                        - gce-almalinux
                        - gce-arch-linux
                        - gce-azure-linux
                        - gce-centos
                        - gce-cisco-ios-xe
                        - gce-debian
                        - gce-fedora
                        - gce-flatcar
                        - gce-forti-auth
                        - gce-freebsd
                        - gce-kali-linux
                        - gce-opensuse
                        - gce-oracle-linux
                        - gce-rhel
                        - gce-rocky-linux
                        - gce-sles
                        - gce-ubuntu
                        - gce-windows-desktop-enterprise-ga
                        - gce-windows-desktop-enterprise-ltsc
                        - gce-windows-desktop-pro
                        - gce-windows-server
                        - gcp-cloud-armor-policy
                        - gcp-cloud-logging-bucket
                        - gcp-cloud-logging-sink
                        - gcp-gce-persistent-disk
                        - gcp-gcs-bucket
                        - gcp-gemini-enterprise-google-gecko-embedding
                        - gcp-gemini-enterprise-google-gemini-chat
                        - gcp-gemini-enterprise-google-gemini-fast-chat
                        - gcp-gemini-enterprise-google-gemini-flash-chat
                        - gcp-gemini-enterprise-google-gemini-flash-lite-chat
                        - gcp-gemini-enterprise-google-gemini-flash-lite-image
                        - gcp-gemini-enterprise-google-gemini-image
                        - gcp-gemini-enterprise-google-gemini-lite-chat
                        - gcp-gemini-enterprise-google-gemini-live-audio
                        - gcp-gemini-enterprise-google-gemini-pro-chat
                        - gcp-gemini-enterprise-google-gemini-pro-image
                        - gcp-gemini-enterprise-google-gemini-ultra-chat
                        - gcp-gemini-enterprise-google-gemini-vision-multimodal
                        - gcp-gemini-enterprise-google-imagen-generate
                        - gcp-gemini-enterprise-google-imagen-image
                        - gcp-gemini-enterprise-google-multimodal-embedding
                        - gcp-gemini-enterprise-google-palm-chat
                        - gcp-gemini-enterprise-google-palm-code
                        - gcp-gemini-enterprise-google-palm-completion
                        - gcp-gemini-enterprise-google-text-embedding
                        - >-
                          gcp-gemini-enterprise-google-text-embedding-multilingual
                        - gcp-gemini-enterprise-google-text-embedding-text
                        - gcp-gemini-enterprise-google-veo-video
                        - gcp-gemini-enterprise-google-virtual-try-on-image
                        - gcp-image
                        - gcp-kms-crypto-key
                        - gcp-organization
                        - gcp-project
                        - gcp-secret-manager-secret
                        - gcp-service-account
                        - gcp-service-account-key
                        - gcp-vpc-firewall-rule
                        - gcp-vpc-network
                        - githubCodeRepository
                        - gke
                        - glue
                        - goCodeProject
                        - iam-access-key
                        - javaCodeProject
                        - javascriptCodeProject
                        - kinesis-data-analytics-sql
                        - managed-service-for-apache-airflow
                        - managed-service-for-apache-spark-debian
                        - managed-service-for-apache-spark-rocky
                        - managed-service-for-apache-spark-ubuntu
                        - managed-service-for-apache-spark-ubuntu-arm
                        - managed-service-for-apache-spark-ubuntu-ml
                        - memorydb-redis
                        - memorydb-valkey
                        - memorystore-memcached
                        - memorystore-redis
                        - memorystore-valkey
                        - mongodb-atlas
                        - mq-activemq
                        - mq-rabbitmq
                        - msk
                        - mwaa
                        - neptune
                        - network
                        - openai-model-codex
                        - openai-model-codex-mini
                        - openai-model-computer-use
                        - openai-model-dall-e
                        - openai-model-gpt
                        - openai-model-gpt-audio
                        - openai-model-gpt-code
                        - openai-model-gpt-image
                        - openai-model-gpt-mini
                        - openai-model-gpt-nano
                        - openai-model-gpt-pro
                        - openai-model-gpt-turbo
                        - openai-model-legacy
                        - openai-model-moderation
                        - openai-model-o-series
                        - openai-model-o-series-mini
                        - openai-model-o-series-pro
                        - openai-model-other
                        - openai-model-sora
                        - openai-model-text-embedding
                        - openai-model-text-embedding-large
                        - openai-model-text-embedding-small
                        - openai-model-tts
                        - openai-model-whisper
                        - opensearch
                        - pythonCodeProject
                        - rds-aurora-mysql
                        - rds-aurora-postgresql
                        - rds-aurora-postgresql-limitless
                        - rds-mariadb
                        - rds-mysql
                        - rds-oracle-ee
                        - rds-oracle-se2
                        - rds-postgres
                        - rds-sqlserver-dev-ee
                        - rds-sqlserver-ee
                        - rds-sqlserver-ex
                        - rds-sqlserver-se
                        - rds-sqlserver-web
                        - redis-cloud-essentials-database
                        - redis-cloud-pro-database
                        - tanium-centos
                        - tanium-macos
                        - tanium-rhel
                        - tanium-sles
                        - tanium-ubuntu
                        - tanium-windows-server
                    urgency:
                      type: number
                    priority:
                      type: number
                    isCompliant:
                      type: boolean
                    requiredVersion:
                      type: string
                    desiredVersion:
                      type: string
                    recommendedVersion:
                      type: string
                    dueDate:
                      $ref: '#/components/schemas/SearchDueDate'
                    tags:
                      $ref: '#/components/schemas/SearchTags'
                    createdAt:
                      $ref: '#/components/schemas/SearchCreatedAt'
                    updatedAt:
                      $ref: '#/components/schemas/SearchUpdatedAt'
                  example:
                    technology: mongodb
                    tags:
                      - key: environment
                        value: development
                    dueDate:
                      gte: '2024-12-22T13:47:25.036Z'
                      lt: '2025-12-31T00:00:00.000Z'
                sort:
                  type: object
                  properties:
                    componentId:
                      type: string
                      enum:
                        - asc
                        - desc
                    integrationId:
                      type: string
                      enum:
                        - asc
                        - desc
                    name:
                      type: string
                      enum:
                        - asc
                        - desc
                    uniqueIdentifier:
                      type: string
                      enum:
                        - asc
                        - desc
                    technology:
                      type: string
                      enum:
                        - asc
                        - desc
                    urgency:
                      type: string
                      enum:
                        - asc
                        - desc
                    priority:
                      type: string
                      enum:
                        - asc
                        - desc
                    isCompliant:
                      type: string
                      enum:
                        - asc
                        - desc
                    requiredVersion:
                      type: string
                      enum:
                        - asc
                        - desc
                    desiredVersion:
                      type: string
                      enum:
                        - asc
                        - desc
                    recommendedVersion:
                      type: string
                      enum:
                        - asc
                        - desc
                    dueDate:
                      type: string
                      enum:
                        - asc
                        - desc
                    tags:
                      type: string
                      enum:
                        - asc
                        - desc
                    createdAt:
                      type: string
                      enum:
                        - asc
                        - desc
                    updatedAt:
                      type: string
                      enum:
                        - asc
                        - desc
                  example:
                    createdAt: asc
                nextToken:
                  type: string
                  example: eyJza2lwIjoxMH0
                pageSize:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 10
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/PolicyComponent'
                  nextToken:
                    type: string
                  totalCount:
                    type: integer
                    example: 12
                required:
                  - items
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      deprecated: true
components:
  schemas:
    SearchDueDate:
      type: object
      properties:
        eq:
          type: string
          format: date-time
        gt:
          type: string
          format: date-time
        gte:
          type: string
          format: date-time
        lt:
          type: string
          format: date-time
        lte:
          type: string
          format: date-time
      example:
        gte: '2024-01-01T00:00:00Z'
        lt: '2024-12-31T23:59:59Z'
    SearchTags:
      type: array
      items:
        type: object
        properties:
          key:
            type: string
          value:
            type: string
        required:
          - key
          - value
      example:
        - key: Terraform
          value: 'true'
    SearchCreatedAt:
      type: object
      properties:
        eq:
          type: string
          format: date-time
        gt:
          type: string
          format: date-time
        gte:
          type: string
          format: date-time
        lt:
          type: string
          format: date-time
        lte:
          type: string
          format: date-time
      example:
        gte: '2024-01-01T00:00:00Z'
        lt: '2024-12-31T23:59:59Z'
    SearchUpdatedAt:
      type: object
      properties:
        eq:
          type: string
          format: date-time
        gt:
          type: string
          format: date-time
        gte:
          type: string
          format: date-time
        lt:
          type: string
          format: date-time
        lte:
          type: string
          format: date-time
      example:
        gte: '2024-01-01T00:00:00Z'
        lt: '2024-12-31T23:59:59Z'
    PolicyComponent:
      type: object
      properties:
        id:
          type: number
        componentId:
          type: string
          format: int64
        integrationId:
          type: number
        technology:
          type: string
          description: The technology type of the linked component.
          enum:
            - AMAZON_ISSUED
            - Azure Application Gateway Certificate
            - Azure Key Vault Certificate
            - IMPORTED
            - Microsoft.Web/sites
            - PRIVATE
            - acr
            - acr-container-image
            - acr-container-registry
            - acr-container-repository
            - acr-image-cucumber
            - acr-image-dotnet
            - acr-image-dotnet-framework
            - acr-image-golang
            - acr-image-java
            - acr-image-nodejs
            - acr-image-php
            - acr-image-playwright
            - acr-image-python
            - aks
            - alloydb-postgres
            - amazon-machine-image
            - ami
            - ami-almalinux
            - ami-amazon-linux
            - ami-arch-linux
            - ami-azure-linux
            - ami-centos
            - ami-cisco-ios-xe
            - ami-debian
            - ami-fedora
            - ami-flatcar
            - ami-forti-auth
            - ami-freebsd
            - ami-kali-linux
            - ami-opensuse
            - ami-oracle-linux
            - ami-rhel
            - ami-rocky-linux
            - ami-sles
            - ami-ubuntu
            - ami-windows-desktop-enterprise-ga
            - ami-windows-desktop-enterprise-ltsc
            - ami-windows-desktop-pro
            - ami-windows-server
            - apache-flink
            - apache-flink-studio
            - app-engine-flexible-aspnetcore
            - app-engine-flexible-go
            - app-engine-flexible-java
            - app-engine-flexible-nodejs
            - app-engine-flexible-php
            - app-engine-flexible-python
            - app-engine-flexible-ruby
            - app-engine-standard-go
            - app-engine-standard-java
            - app-engine-standard-nodejs
            - app-engine-standard-php
            - app-engine-standard-python
            - app-engine-standard-ruby
            - application
            - arista-switch
            - arista-wireless-ap
            - artifactory
            - artifactory-container-image
            - artifactory-container-registry
            - artifactory-container-repository
            - artifactory-image-cucumber
            - artifactory-image-dotnet
            - artifactory-image-dotnet-framework
            - artifactory-image-golang
            - artifactory-image-java
            - artifactory-image-nodejs
            - artifactory-image-php
            - artifactory-image-playwright
            - artifactory-image-python
            - aws-acm-pca
            - aws-api-gateway-rest-api
            - aws-auto-scaling-group
            - aws-bedrock-model-ai21-jamba-large
            - aws-bedrock-model-ai21-jamba-mini
            - aws-bedrock-model-amazon-canvas
            - aws-bedrock-model-amazon-nova-2-multimodal-embeddings
            - aws-bedrock-model-amazon-nova-2-sonic
            - aws-bedrock-model-amazon-nova-lite
            - aws-bedrock-model-amazon-nova-micro
            - aws-bedrock-model-amazon-nova-premier
            - aws-bedrock-model-amazon-nova-pro
            - aws-bedrock-model-amazon-nova-reel
            - aws-bedrock-model-amazon-titan-embed-g1-text-02
            - aws-bedrock-model-amazon-titan-embed-image
            - aws-bedrock-model-amazon-titan-embed-text
            - aws-bedrock-model-amazon-titan-image-generator-v1
            - aws-bedrock-model-amazon-titan-image-generator-v2
            - aws-bedrock-model-amazon-titan-text-express
            - aws-bedrock-model-amazon-titan-text-lite
            - aws-bedrock-model-amazon-titan-tg1-large
            - aws-bedrock-model-anthropic-claude
            - aws-bedrock-model-anthropic-claude-fable
            - aws-bedrock-model-anthropic-claude-haiku
            - aws-bedrock-model-anthropic-claude-opus
            - aws-bedrock-model-anthropic-claude-sonnet
            - aws-bedrock-model-cohere-command-r
            - aws-bedrock-model-cohere-command-r-plus
            - aws-bedrock-model-cohere-embed-english
            - aws-bedrock-model-cohere-embed-multilingual
            - aws-bedrock-model-cohere-rerank-v3-5
            - aws-bedrock-model-deepseek-r1
            - aws-bedrock-model-deepseek-v3
            - aws-bedrock-model-google-gemma-3-12b-it
            - aws-bedrock-model-meta-llama3-11b-instruct
            - aws-bedrock-model-meta-llama3-1b-instruct
            - aws-bedrock-model-meta-llama3-3b-instruct
            - aws-bedrock-model-meta-llama3-70b-instruct
            - aws-bedrock-model-meta-llama3-8b-instruct
            - aws-bedrock-model-meta-llama3-90b-instruct
            - aws-bedrock-model-meta-llama4-maverick-17b-instruct
            - aws-bedrock-model-meta-llama4-scout-17b-instruct
            - aws-bedrock-model-mistral-mistral-7b-instruct
            - aws-bedrock-model-mistral-mistral-large-2402
            - aws-bedrock-model-mistral-mistral-small-2402
            - aws-bedrock-model-mistral-mixtral-8x7b-instruct
            - aws-bedrock-model-mistral-pixtral-large-2502
            - aws-bedrock-model-openai-gpt-5-5
            - aws-bedrock-model-openai-gpt-5-6-sol
            - aws-bedrock-model-openai-gpt-5-6-terra
            - aws-bedrock-model-openai-gpt-oss-120b
            - aws-bedrock-model-openai-gpt-oss-20b
            - aws-bedrock-model-qwen-qwen3-32b
            - aws-bedrock-model-qwen-qwen3-coder-30b-a3b
            - aws-bedrock-model-stability-stable-conservative-upscale
            - aws-bedrock-model-stability-stable-creative-upscale
            - aws-bedrock-model-stability-stable-fast-upscale
            - aws-bedrock-model-stability-stable-image-control-sketch
            - aws-bedrock-model-stability-stable-image-control-structure
            - aws-bedrock-model-stability-stable-image-erase-object
            - aws-bedrock-model-stability-stable-image-inpaint
            - aws-bedrock-model-stability-stable-image-remove-background
            - aws-bedrock-model-stability-stable-image-search-recolor
            - aws-bedrock-model-stability-stable-image-search-replace
            - aws-bedrock-model-stability-stable-image-style-guide
            - aws-bedrock-model-stability-stable-outpaint
            - aws-bedrock-model-stability-stable-style-transfer
            - aws-bedrock-model-twelvelabs-marengo-embed-2-7
            - aws-bedrock-model-twelvelabs-marengo-embed-3-0
            - aws-bedrock-model-twelvelabs-pegasus-1-2
            - aws-clb
            - aws-cloudfront-distribution
            - aws-dynamodb-backup
            - aws-eb-docker
            - aws-eb-docker-ecs
            - aws-eb-dotnet-linux
            - aws-eb-dotnet-windows
            - aws-eb-dotnet-windows-core
            - aws-eb-go
            - aws-eb-java-se
            - aws-eb-nodejs
            - aws-eb-php
            - aws-eb-python
            - aws-eb-ruby
            - aws-eb-tomcat
            - aws-ebs-snapshot
            - aws-ebs-volume
            - aws-efs-file-system
            - aws-elastic-ip-address-eip
            - aws-iam-group
            - aws-iam-role
            - aws-kms-key
            - aws-lambda-container
            - aws-lambda-custom-runtime
            - aws-lambda-dotnet
            - aws-lambda-dotnetcore
            - aws-lambda-go
            - aws-lambda-image
            - aws-lambda-java
            - aws-lambda-nodejs
            - aws-lambda-provided
            - aws-lambda-providedal
            - aws-lambda-python
            - aws-lambda-ruby
            - aws-launch-template
            - aws-nat-gateway
            - aws-organizations-account
            - aws-organizations-organization
            - aws-organizations-organizational-unit-ou
            - aws-redshift-cluster
            - aws-redshift-node
            - aws-route-53-hosted-zone
            - aws-s3-bucket
            - aws-secrets-manager-secret
            - aws-security-group
            - aws-service-catalog-portfolio
            - aws-service-catalog-product
            - aws-service-catalog-version
            - aws-sqs-queue
            - aws-subnet
            - aws-vpc
            - aws-vpc-endpoint-gateway
            - aws-vpc-endpoint-interface
            - azure-ai-foundry-ai21labs-jamba-instruct
            - azure-ai-foundry-ai21labs-jamba-large
            - azure-ai-foundry-ai21labs-jamba-mini
            - azure-ai-foundry-alibaba-qwen-32b
            - azure-ai-foundry-anthropic-claude-haiku
            - azure-ai-foundry-anthropic-claude-opus
            - azure-ai-foundry-anthropic-claude-sonnet
            - azure-ai-foundry-blackforestlabs-flux-pro
            - azure-ai-foundry-bria-fast
            - azure-ai-foundry-cohere-command
            - azure-ai-foundry-cohere-command-fast
            - azure-ai-foundry-cohere-command-plus
            - azure-ai-foundry-cohere-command-pro
            - azure-ai-foundry-cohere-embed
            - azure-ai-foundry-cohere-embed-multimodal
            - azure-ai-foundry-core42-jais-30b-chat
            - azure-ai-foundry-deepseek
            - azure-ai-foundry-deepseek-reasoning
            - azure-ai-foundry-finetune-microsoft-phi
            - azure-ai-foundry-finetune-mistral-large
            - azure-ai-foundry-finetune-mistral-ministral-mini
            - azure-ai-foundry-finetune-openai-gpt
            - azure-ai-foundry-finetune-openai-gpt-mini
            - azure-ai-foundry-finetune-openai-gpt-nano
            - azure-ai-foundry-finetune-openai-gpt-omni
            - azure-ai-foundry-finetune-openai-gpt-omni-mini
            - azure-ai-foundry-finetune-openai-o-series-mini
            - azure-ai-foundry-gretel
            - azure-ai-foundry-meta-llama-11b-vision-instruct
            - azure-ai-foundry-meta-llama-405b-instruct
            - azure-ai-foundry-meta-llama-70b-instruct
            - azure-ai-foundry-meta-llama-8b-instruct
            - azure-ai-foundry-meta-llama-90b-vision-instruct
            - azure-ai-foundry-meta-llama-maverick-17b-instruct
            - azure-ai-foundry-meta-llama-scout-17b-instruct
            - azure-ai-foundry-microsoft-phi
            - azure-ai-foundry-microsoft-phi-medium-instruct
            - azure-ai-foundry-microsoft-phi-mini-instruct
            - azure-ai-foundry-microsoft-phi-mini-reasoning
            - azure-ai-foundry-microsoft-phi-moe-instruct
            - azure-ai-foundry-microsoft-phi-multimodal-instruct
            - azure-ai-foundry-microsoft-phi-reasoning
            - azure-ai-foundry-microsoft-phi-small-instruct
            - azure-ai-foundry-microsoft-phi-vision-instruct
            - azure-ai-foundry-mistral
            - azure-ai-foundry-mistral-codestral-code
            - azure-ai-foundry-mistral-document
            - azure-ai-foundry-mistral-large
            - azure-ai-foundry-mistral-medium
            - azure-ai-foundry-mistral-ministral-mini
            - azure-ai-foundry-mistral-small
            - azure-ai-foundry-moonshotai-kimi
            - azure-ai-foundry-openai-codex-mini
            - azure-ai-foundry-openai-computer-use
            - azure-ai-foundry-openai-dall
            - azure-ai-foundry-openai-gpt
            - azure-ai-foundry-openai-gpt-120b
            - azure-ai-foundry-openai-gpt-audio
            - azure-ai-foundry-openai-gpt-chat
            - azure-ai-foundry-openai-gpt-code
            - azure-ai-foundry-openai-gpt-mini
            - azure-ai-foundry-openai-gpt-mini-audio
            - azure-ai-foundry-openai-gpt-mini-code
            - azure-ai-foundry-openai-gpt-mini-realtime
            - azure-ai-foundry-openai-gpt-nano
            - azure-ai-foundry-openai-gpt-omni
            - azure-ai-foundry-openai-gpt-omni-audio
            - azure-ai-foundry-openai-gpt-omni-mini
            - azure-ai-foundry-openai-gpt-omni-mini-realtime
            - azure-ai-foundry-openai-gpt-omni-mini-transcribe-audio
            - azure-ai-foundry-openai-gpt-omni-realtime
            - azure-ai-foundry-openai-gpt-omni-transcribe-audio
            - azure-ai-foundry-openai-gpt-omni-transcribe-diarize-audio
            - azure-ai-foundry-openai-gpt-pro
            - azure-ai-foundry-openai-gpt-realtime
            - azure-ai-foundry-openai-gpt-turbo
            - azure-ai-foundry-openai-gpt-turbo-instruct
            - azure-ai-foundry-openai-gpt-vision
            - azure-ai-foundry-openai-legacy
            - azure-ai-foundry-openai-o-series
            - azure-ai-foundry-openai-o-series-mini
            - azure-ai-foundry-openai-o-series-pro
            - azure-ai-foundry-openai-router
            - azure-ai-foundry-openai-sora
            - azure-ai-foundry-openai-text-embedding
            - azure-ai-foundry-openai-text-embedding-large
            - azure-ai-foundry-openai-text-embedding-small
            - azure-ai-foundry-openai-tts-audio
            - azure-ai-foundry-openai-whisper
            - azure-ai-foundry-xai-grok
            - azure-ai-foundry-xai-grok-fast
            - azure-ai-foundry-xai-grok-fast-code
            - azure-ai-foundry-xai-grok-fast-reasoning
            - azure-ai-foundry-xai-grok-mini
            - azure-ai-model
            - azure-app-service-web-app-dotnet
            - azure-app-service-web-app-java
            - azure-app-service-web-app-node
            - azure-app-service-web-app-php
            - azure-app-service-web-app-python
            - azure-application-gateway-basic
            - azure-application-gateway-standard
            - azure-application-gateway-waf
            - azure-arc-data-postgres
            - azure-arc-data-sql-mi
            - azure-arc-kubernetes
            - azure-arc-scvmm-vm
            - azure-arc-vm
            - azure-arc-vmware-vm
            - azure-cosmos-db-cassandra
            - azure-cosmos-db-for-postgresql-cluster
            - azure-cosmos-db-gremlin
            - azure-cosmos-db-mongo-db
            - azure-cosmos-db-nosql
            - azure-cosmos-db-table
            - azure-data-lake-storage-gen2
            - azure-databricks-workspace
            - azure-db-mysql-flexible
            - azure-db-postgres-flexible
            - azure-db-sql-managed-database
            - azure-db-sql-managed-instance
            - azure-db-sql-server-on-vm
            - azure-dns-zone-private
            - azure-dns-zone-public
            - azure-firewall
            - azure-front-door-classic
            - azure-front-door-premium
            - azure-front-door-standard
            - azure-function-app-docker
            - azure-function-app-dotnet
            - azure-function-app-java
            - azure-function-app-node
            - azure-function-app-nodejs
            - azure-function-app-php
            - azure-function-app-powershell
            - azure-function-app-python
            - azure-key-vault
            - azure-load-balancer-basic
            - azure-load-balancer-gateway
            - azure-load-balancer-standard
            - azure-log-analytics-workspace
            - azure-managed-disk
            - azure-management-group
            - azure-monitor-action-group
            - azure-mysql-flexible
            - azure-nat-gateway
            - azure-network-security-group
            - azure-postgresql-flexible
            - azure-private-endpoint
            - azure-public-ip-address
            - azure-resource-group
            - azure-route-table
            - azure-sql-server-on-vm
            - azure-storage-account
            - azure-storage-account-blob
            - azure-storage-account-blob-container
            - azure-storage-account-block-blob
            - azure-storage-account-file
            - azure-subscription
            - azure-user-assigned-managed-identity
            - azure-virtual-network
            - azure-virtual-network-subnet
            - azure-vm-almalinux
            - azure-vm-arch-linux
            - azure-vm-azure-linux
            - azure-vm-centos
            - azure-vm-cisco-ios-xe
            - azure-vm-debian
            - azure-vm-fedora
            - azure-vm-flatcar
            - azure-vm-forti-auth
            - azure-vm-freebsd
            - azure-vm-kali-linux
            - azure-vm-opensuse
            - azure-vm-oracle-linux
            - azure-vm-rhel
            - azure-vm-rocky-linux
            - azure-vm-scale-set-linux
            - azure-vm-scale-set-windows
            - azure-vm-sles
            - azure-vm-ubuntu
            - azure-vm-windows-desktop-enterprise-ga
            - azure-vm-windows-desktop-enterprise-ltsc
            - azure-vm-windows-desktop-pro
            - azure-vm-windows-server
            - azure-waf-policy
            - azureDevopsCodeRepository
            - bigquery
            - cisco-switch
            - cisco-wireless-ap
            - cloud-run-custom-container
            - cloud-run-custom-repo
            - cloud-run-function-dotnet
            - cloud-run-function-go
            - cloud-run-function-java
            - cloud-run-function-nodejs
            - cloud-run-function-php
            - cloud-run-function-python
            - cloud-run-function-ruby
            - cloud-run-functions-dotnet
            - cloud-run-functions-go
            - cloud-run-functions-java
            - cloud-run-functions-nodejs
            - cloud-run-functions-php
            - cloud-run-functions-python
            - cloud-run-functions-ruby
            - cloudsql-mysql
            - cloudsql-postgres
            - cloudsql-sqlserver-enterprise
            - cloudsql-sqlserver-express
            - cloudsql-sqlserver-standard
            - cloudsql-sqlserver-web
            - datastore
            - dms
            - documentdb
            - dynamodb
            - ec2-almalinux
            - ec2-amazon-linux
            - ec2-arch-linux
            - ec2-azure-linux
            - ec2-centos
            - ec2-cisco-ios-xe
            - ec2-debian
            - ec2-fedora
            - ec2-flatcar
            - ec2-forti-auth
            - ec2-freebsd
            - ec2-kali-linux
            - ec2-opensuse
            - ec2-oracle-linux
            - ec2-rhel
            - ec2-rocky-linux
            - ec2-sles
            - ec2-ubuntu
            - ec2-windows-desktop-enterprise-ga
            - ec2-windows-desktop-enterprise-ltsc
            - ec2-windows-desktop-pro
            - ec2-windows-server
            - ecr
            - ecr-container-image
            - ecr-container-registry
            - ecr-container-repository
            - ecr-image-cucumber
            - ecr-image-dotnet
            - ecr-image-dotnet-framework
            - ecr-image-golang
            - ecr-image-java
            - ecr-image-nodejs
            - ecr-image-php
            - ecr-image-playwright
            - ecr-image-python
            - ecs-cluster
            - ecs-service
            - eks
            - elasticache-memcached
            - elasticache-redis
            - elasticache-valkey
            - elasticsearch
            - emr
            - firestore
            - fortinet-firewall
            - gar
            - gar-container-image
            - gar-container-registry
            - gar-container-repository
            - gar-image-cucumber
            - gar-image-dotnet
            - gar-image-dotnet-framework
            - gar-image-golang
            - gar-image-java
            - gar-image-nodejs
            - gar-image-php
            - gar-image-playwright
            - gar-image-python
            - gateway
            - gce-almalinux
            - gce-arch-linux
            - gce-azure-linux
            - gce-centos
            - gce-cisco-ios-xe
            - gce-debian
            - gce-fedora
            - gce-flatcar
            - gce-forti-auth
            - gce-freebsd
            - gce-kali-linux
            - gce-opensuse
            - gce-oracle-linux
            - gce-rhel
            - gce-rocky-linux
            - gce-sles
            - gce-ubuntu
            - gce-windows-desktop-enterprise-ga
            - gce-windows-desktop-enterprise-ltsc
            - gce-windows-desktop-pro
            - gce-windows-server
            - gcp-cloud-armor-policy
            - gcp-cloud-logging-bucket
            - gcp-cloud-logging-sink
            - gcp-gce-persistent-disk
            - gcp-gcs-bucket
            - gcp-gemini-enterprise-google-gecko-embedding
            - gcp-gemini-enterprise-google-gemini-chat
            - gcp-gemini-enterprise-google-gemini-fast-chat
            - gcp-gemini-enterprise-google-gemini-flash-chat
            - gcp-gemini-enterprise-google-gemini-flash-lite-chat
            - gcp-gemini-enterprise-google-gemini-flash-lite-image
            - gcp-gemini-enterprise-google-gemini-image
            - gcp-gemini-enterprise-google-gemini-lite-chat
            - gcp-gemini-enterprise-google-gemini-live-audio
            - gcp-gemini-enterprise-google-gemini-pro-chat
            - gcp-gemini-enterprise-google-gemini-pro-image
            - gcp-gemini-enterprise-google-gemini-ultra-chat
            - gcp-gemini-enterprise-google-gemini-vision-multimodal
            - gcp-gemini-enterprise-google-imagen-generate
            - gcp-gemini-enterprise-google-imagen-image
            - gcp-gemini-enterprise-google-multimodal-embedding
            - gcp-gemini-enterprise-google-palm-chat
            - gcp-gemini-enterprise-google-palm-code
            - gcp-gemini-enterprise-google-palm-completion
            - gcp-gemini-enterprise-google-text-embedding
            - gcp-gemini-enterprise-google-text-embedding-multilingual
            - gcp-gemini-enterprise-google-text-embedding-text
            - gcp-gemini-enterprise-google-veo-video
            - gcp-gemini-enterprise-google-virtual-try-on-image
            - gcp-image
            - gcp-kms-crypto-key
            - gcp-organization
            - gcp-project
            - gcp-secret-manager-secret
            - gcp-service-account
            - gcp-service-account-key
            - gcp-vpc-firewall-rule
            - gcp-vpc-network
            - githubCodeRepository
            - gke
            - glue
            - goCodeProject
            - iam-access-key
            - javaCodeProject
            - javascriptCodeProject
            - kinesis-data-analytics-sql
            - managed-service-for-apache-airflow
            - managed-service-for-apache-spark-debian
            - managed-service-for-apache-spark-rocky
            - managed-service-for-apache-spark-ubuntu
            - managed-service-for-apache-spark-ubuntu-arm
            - managed-service-for-apache-spark-ubuntu-ml
            - memorydb-redis
            - memorydb-valkey
            - memorystore-memcached
            - memorystore-redis
            - memorystore-valkey
            - mongodb-atlas
            - mq-activemq
            - mq-rabbitmq
            - msk
            - mwaa
            - neptune
            - network
            - openai-model-codex
            - openai-model-codex-mini
            - openai-model-computer-use
            - openai-model-dall-e
            - openai-model-gpt
            - openai-model-gpt-audio
            - openai-model-gpt-code
            - openai-model-gpt-image
            - openai-model-gpt-mini
            - openai-model-gpt-nano
            - openai-model-gpt-pro
            - openai-model-gpt-turbo
            - openai-model-legacy
            - openai-model-moderation
            - openai-model-o-series
            - openai-model-o-series-mini
            - openai-model-o-series-pro
            - openai-model-other
            - openai-model-sora
            - openai-model-text-embedding
            - openai-model-text-embedding-large
            - openai-model-text-embedding-small
            - openai-model-tts
            - openai-model-whisper
            - opensearch
            - pythonCodeProject
            - rds-aurora-mysql
            - rds-aurora-postgresql
            - rds-aurora-postgresql-limitless
            - rds-mariadb
            - rds-mysql
            - rds-oracle-ee
            - rds-oracle-se2
            - rds-postgres
            - rds-sqlserver-dev-ee
            - rds-sqlserver-ee
            - rds-sqlserver-ex
            - rds-sqlserver-se
            - rds-sqlserver-web
            - redis-cloud-essentials-database
            - redis-cloud-pro-database
            - tanium-centos
            - tanium-macos
            - tanium-rhel
            - tanium-sles
            - tanium-ubuntu
            - tanium-windows-server
        typeDisplayName:
          type: string
        name:
          type: string
        uniqueIdentifier:
          type: string
        urgency:
          type: number
        priority:
          type: number
        isCompliant:
          type: boolean
        currentVersion:
          type: string
        requiredVersion:
          type: string
        recommendedVersion:
          type: string
        dueDate:
          type: string
        tags:
          $ref: '#/components/schemas/SearchTags'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - componentId
        - integrationId
        - technology
        - type
        - name
        - urgency
        - priority
        - isCompliant
        - currentVersion
        - tags
      example:
        id: 22
        componentId: '3'
        integrationId: 6
        technology: rds
        type: rds-postgres
        typeDisplayName: Amazon RDS PostgreSQL
        name: dev-1-rds
        uniqueIdentifier: arn:aws:rds:us-east-1:125422356123:db:dev-1-rds
        urgency: 17.39
        priority: 17.39
        isCompliant: true
        currentVersion: '14.10'
        requiredVersion: '14.11'
        recommendedVersion: '14.11'
        dueDate: '2025-12-22T00:00:00.000Z'
        tags:
          - key: Terraform
            value: 'true'
          - key: Environment
            value: dev-us-east-1
          - key: Name
            value: dev-1-rds
        createdAt: '2024-05-06T11:25:51.513Z'
        updatedAt: '2024-01-06T11:25:51.513Z'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - error
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.